Bug 218939 - Beagled constantly consuming 100% of CPU
Beagled constantly consuming 100% of CPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nielsen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-08 11:31 EST by Rob Hasselbaum
Modified: 2008-05-06 13:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:08:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System monitor screendump showing beagled CPU usage (49.64 KB, image/png)
2006-12-29 04:36 EST, Martin A. Boegelund
no flags Details

  None (edit)
Description Rob Hasselbaum 2006-12-08 11:31:20 EST
Description of problem:
The "beagled" process constantly consumes 100% of CPU, albeit during idle
periods. The CPU/disk activity never never ends.


Version-Release number of selected component (if applicable):
beagle-0.2.10-7.fc6

How reproducible:
Always

Additional info:
There is extensive talk about this issue on Launchpad (Ubuntu), and it appears
at least some problems related to high CPU usage are solved in later versions of
Beagle (>0.2.12). It would be good to get this update in Fedora and see if it
fixes the problem.
Comment 1 Rob Hasselbaum 2006-12-08 11:36:42 EST
Link to discussion on Launchpad:
https://launchpad.net/distros/ubuntu/+source/beagle/+bug/64326
Comment 2 Alexander Larsson 2006-12-11 03:42:35 EST
There is already an 0.2.13 update out (in updates-testing). Does it fix the issue?
Comment 3 Tadej Janež 2006-12-12 12:48:13 EST
Today I updated beagle to version beagle-0.2.13-1.fc6 and after a few minutes,
beagle-helper started consuming 100% of my CPU time.
I don't recall which version of beagle I had before, but it didn't constantly
produce 100% cpu load.
Also, the beagle-status command seems to hang.

If you need more information, let me know and I'll try to help.


Comment 4 Bob Agel 2006-12-13 09:41:28 EST
I'll confirm that the latest update to beagle causes beagle-helper to chew up
the cpu's.  After games such as sauerbraten and pinball were stalling since
12/12 update, checked system-monitor and confirmed cpu problem.  Removed beagle
and cpu usage returns to normal and no further stalling.
Comment 5 Martin A. Boegelund 2006-12-25 17:17:58 EST
beagled and beagled-helper regularly just consume all of my CPU. I'm going to
remove/disable these fellas...
Comment 6 Martin A. Boegelund 2006-12-29 04:36:03 EST
Created attachment 144528 [details]
System monitor screendump showing beagled CPU usage

If you look at the screen dump, you will see that to the left of the middle of
the CPU usage chart, CPU usage goes up and down, and to the right it's a steady
line. I killed the beagled process at the time around the middle of the chart,
so the "hills" in CPU usage must come from beagled.
Comment 7 Martin A. Boegelund 2006-12-29 04:49:29 EST
In addition to my screendump:
I often play the game BZFlag (drive around in your tank and shoot others). Until
recently, I thought my gamepad was failing, because my tank sometimes didn't
respond to my use of the gamepad. After I began to shut down beagled, I haven't
had problems with my gamepad, so I reckon that beagled ate up my CPU power now
and then, leaving no power for the game and my gamepad, and leaving me with an
unresponsive tank.

beagled is a very annoying process to have running, even more so if you think
about beagled being a "background process" that is supposed to make my life easier.

My system has
- 2GHz Celeron CPU
- 768 MB Mem
- 2GB swap

and it handled FC5 just fine.
Comment 8 Bojan Smojver 2007-01-29 01:38:40 EST
Apparently, we should be running something more recent, according to this page:

http://beagle-project.org/Troubleshooting_CPU

Any chance of an update for FC6?
Comment 9 Tim Reilly 2007-02-13 12:24:44 EST
Does this problem still exist for you with newer versions of beagle? The 2.15.x
version in fedora 7 test 1 doesn't exhibit this problem for me.
Comment 10 Bojan Smojver 2007-02-14 23:21:01 EST
Regarding comment #9, do you mean 0.2.15?

Anyhow, an update for FC6 would be welcome if this version fixes the problem.
Comment 11 Bug Zapper 2008-04-04 01:09:58 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 13:08:51 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.